Bug 233902 - x11-drivers/xf86-video-intel: update to 2.99.917.20181203 (snapshot)
Summary: x11-drivers/xf86-video-intel: update to 2.99.917.20181203 (snapshot)
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: freebsd-x11 mailing list
URL: https://cgit.freedesktop.org/xorg/dri...
Keywords: patch, patch-ready
Depends on: 232353
Blocks: 236003
  Show dependency treegraph
 
Reported: 2018-12-10 03:35 UTC by Jan Beich
Modified: 2019-02-24 22:02 UTC (History)
3 users (show)

See Also:


Attachments
v1 (2.99 KB, patch)
2018-12-10 03:35 UTC, Jan Beich
jbeich: maintainer-approval? (x11)
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jan Beich freebsd_committer 2018-12-10 03:35:43 UTC
Created attachment 199996 [details]
v1

Tested on Intel HD530 (aka Skylake GT2) + drm-stable-kmod (Linux 4.9) + i965/anv (DRI3) + intel (SNA, DRI3) via mpv (EGL + VAAPI), ppsspp (vulkan), rpcs3 (OpenGL 4.3+), firefox (WebRender).

Upstream changes only affect SNA which is non-default per bug 214593 and https://github.com/FreeBSDDesktop/kms-drm/issues/32.

Build logs:
- 11.2 amd64: https://ptpb.pw/MUBS
- 11.2 i386:  https://ptpb.pw/Aubd
- 12.0 amd64: https://ptpb.pw/MQNS
- 12.0 i386:  https://ptpb.pw/HKOH
- 13.0 amd64: https://ptpb.pw/Pr8E
- 13.0 i386:  https://ptpb.pw/zle1
Comment 1 Jan Beich freebsd_committer 2018-12-10 03:43:52 UTC
Kevin, do you use SNA on SandyBridge? If so you may want to check SNA for regressions on drm-stable-kmod while it still tracks drm-v4.9.
Comment 2 commit-hook freebsd_committer 2018-12-23 00:57:15 UTC
A commit references this bug:

Author: jbeich
Date: Sun Dec 23 00:56:26 UTC 2018
New revision: 488160
URL: https://svnweb.freebsd.org/changeset/ports/488160

Log:
  x11-drivers/xf86-video-intel: update to 2.99.917.20181203

  Changes:	https://cgit.freedesktop.org/xorg/driver/xf86-video-intel/log/?id=e5ff8e1828f9
  PR:		233902
  Approved by:	maintainer timeout (2 weeks)

Changes:
  head/x11-drivers/xf86-video-intel/Makefile
  head/x11-drivers/xf86-video-intel/distinfo
  head/x11-drivers/xf86-video-intel/files/patch-src_sna_sna__video.c
Comment 3 Jan Beich freebsd_committer 2018-12-23 01:13:07 UTC
I've assumed Kevin has tested SNA during Mesa 18.4 CFT. If not ports r487275 puts a damper on SNA support, anyway.
Comment 4 Samy Mahmoudi 2019-02-24 21:11:59 UTC
(In reply to Jan Beich from comment #3)

Hi!

Do you want me to check for something on sandybridge with SNA ?
Comment 5 rkoberman 2019-02-24 21:16:15 UTC
(In reply to Jan Beich from comment #3)
I'll give it a try tomorrow. Too busy today. I am running modesetting these days, but will give the old driver a shot.
Comment 6 Jan Beich freebsd_committer 2019-02-24 22:02:36 UTC
SNA should work after bug 236003. As unsychronized userptr cannot be used anymore performance maybe worse or there maybe glitches. However, not much can be done without fixing synchronized userptr in drm-kmod.
https://github.com/FreeBSDDesktop/freebsd-base-graphics/issues/132

Check OpenGL and VAAPI e.g., multimedia/mpv (--hwdec=vaapi), www/firefox (WebGL demos), x11-wm/compton (--backend glx). Maybe also try DRI3 by setting Option "DRI3" "true" in xorg.conf and export LIBGL_DRI3_ENABLE=1 in ~/.profile.